# Goocanvas::Group Class Reference

Inheritance diagram for Goocanvas::Group:
[legend]

List of all members.

## Public Member Functions

virtual | ~Group ()
GooCanvasGroup* | gobj ()
| Provides access to the underlying C GObject.
const GooCanvasGroup* | gobj () const
| Provides access to the underlying C GObject.
GooCanvasGroup* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Static Public Member Functions

static Glib::RefPtr< Group > | create ()

## Protected Member Functions

| Group ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Goocanvas::Group > | wrap (GooCanvasGroup* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Goocanvas::Group::~Group | ( |  | ) | `[virtual]`

Goocanvas::Group::Group | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<Group> Goocanvas::Group::create | ( |  | ) | `[static]`

Reimplemented in Goocanvas::Table.

const GooCanvasGroup* Goocanvas::Group::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemSimple.

Reimplemented in Goocanvas::Table.

GooCanvasGroup* Goocanvas::Group::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemSimple.

Reimplemented in Goocanvas::Table.

GooCanvasGroup* Goocanvas::Group::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Goocanvas::ItemSimple.

Reimplemented in Goocanvas::Table.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::Group > wrap | ( | GooCanvasGroup * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/group.h